/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2004, 2005. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */

#ifndef SHAPE_H
#define SHAPE_H

#include <iostream>
#include <cmath>
const double pi = 3.14159265359;

using namespace std;

class shape
{
public:
    virtual void 	setSize(double) = 0;
    virtual double 	getSize() = 0;
    virtual void 	setColor(string) = 0;
    virtual string 	getColor() = 0;
    virtual void 	print() = 0;
};

#endif
