/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2004, 2005. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */
#ifndef SQUARE_H
#define SQUARE_H
#include "shape2d.h"

class square:public shape2d {
private:
	double size;
	string color;
public:
    /* Constructors / Destructors */
    square(); 
    virtual ~square();

    /* Methods */
	double  getSize()			{return size;};
	void	setSize(double s)	{size = s < 0 ? 0 : s;};
    void	setColor(string c)	{color = c;};
	string	getColor()			{return color;};
    double  area() 				{return (pow(size,2));};
   	void  	print()				{cout << "Square:"
									<< "\n\tSize   = " << size
									<< "\n\tArea   = " << area()
									<< "\n\tColor  = " << color
									<< "\n\n";
								};
	void	set();
};
#endif
