/*
 *+--------------------------------------------------------------------------------------+
 *| Licensed Materials - Use restricted, please refer to the "Samples Gallery" terms and |
 *| conditions in the IBM International Program License Agreement.
 *| (C) Copyright IBM Corporation 2004, 2005. All Rights Reserved.						 |	
 *+--------------------------------------------------------------------------------------+
 */
#include "shape2d.h"

class triangle:public shape2d {
private:
	double size;
	string color;
	int y;
public:
    /* Constructors / Destructors */
    triangle(); 
    virtual ~triangle();

    /* Methods */
    void	setSize(double s) 	{size = s < 0 ? 0 : s;};
    double  getSize()			{return size;};
    void	setColor(string c)	{color = c;};
	string	getColor()			{return color;};
    double	area() 				{return (sqrt(3.0) / 4.0 * pow(size,2));};
	void	print()				{ cout  << "Triangle:"
										<< "\n\tSize   = " << getSize()
										<< "\n\tArea   = " << area()
										<< "\n\tColor  = " << getColor()
										<< "\n\n";
								};
	void	set();

};
